/*******************************************************************************
 * Copyright 2015 - 2018 fmCreation
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald diese von der
 * Europischen Kommission genehmigt wurden - Folgeversionen der EUPL
 * ("Lizenz"); Sie drfen dieses Werk ausschlielich gem dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   https://progs.frankmuenster.de/eupl_v1-2_de
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften gefordert oder in
 * schriftlicher Form vereinbart, wird die unter der Lizenz verbreitete Software
 * "so wie sie ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet. Die sprachspezifischen
 * Genehmigungen und Beschrnkungen unter der Lizenz sind dem Lizenztext zu
 * entnehmen.
 ******************************************************************************/

package de.frankmuenster.jameica.orverw.parts.register;

/**
 * Ein Listener der benachtigtigt wird, wenn einer der
 * Register-Einstellungs-Button gedr&uuml;ckt wurde.
 *
 * @author Frank Mnster
 * @since 1.0
 *
 */
public interface RegisterSettingsListener {

    /**
     * notifies registered listener that a button was clicked
     * 
     * @param button
     *            ein RegisterSettingsButtonObject mit Angaben &uuml;ber den
     *            gedr&uuml;ckten Button und die ausgew&auml;hlte Schrift
     *            und/oder Farbe.
     */
    void notifyButtonClicked(RegisterSettingsButtonObject button);

}
